Bug 812923 - [abrt] evolution-3.2.3-2.fc16: message_list_set_hidedeleted: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.2.3-2.fc16: message_list_set_hidedeleted: Process /usr/bin...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:c4e285d461336d45754ab4ccf95...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 11:04 EDT by Tim Waugh
Modified: 2012-04-17 02:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 02:09:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (20.58 KB, text/plain)
2012-04-16 11:04 EDT, Tim Waugh
no flags Details
File: build_ids (7.73 KB, text/plain)
2012-04-16 11:04 EDT, Tim Waugh
no flags Details
File: gconf_subtree (20.50 KB, text/plain)
2012-04-16 11:04 EDT, Tim Waugh
no flags Details
File: backtrace (37.37 KB, text/plain)
2012-04-16 11:04 EDT, Tim Waugh
no flags Details
File: maps (92.67 KB, text/plain)
2012-04-16 11:05 EDT, Tim Waugh
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 674236 None None None Never

  None (edit)
Description Tim Waugh 2012-04-16 11:04:43 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        evolution
comment:        Enabled viewing of deleted messages.
crash_function: message_list_set_hidedeleted
executable:     /usr/bin/evolution
kernel:         3.3.1-5.fc16.x86_64
pid:            2506
pwd:            /home/twaugh
reason:         Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
time:           Mon 16 Apr 2012 16:03:03 BST
uid:            1001
username:       twaugh

backtrace:      Text file, 38262 bytes
build_ids:      Text file, 7913 bytes
dso_list:       Text file, 21072 bytes
gconf_subtree:  Text file, 20995 bytes
maps:           Text file, 94896 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=rubik.elk
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=8f0421c9bcaac4f06d196a920000001f-1334576112.376530-369079405
:GNOME_KEYRING_CONTROL=/tmp/keyring-HjXfHt
:IMSETTINGS_MODULE=none
:USER=twaugh
:USERNAME=twaugh
:MAIL=/var/spool/mail/twaugh
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/twaugh/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/twaugh
:XMODIFIERS=@im=none
:EDITOR=vim
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1901
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/twaugh
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=twaugh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-7BaTbQz1iy,guid=f3062f4f780685329129499200000151
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/twaugh
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-twaugh-O4dMtf/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1909,unix/unix:/tmp/.ICE-unix/1909
:SSH_AUTH_SOCK=/tmp/keyring-HjXfHt/ssh
:GPG_AGENT_INFO=/tmp/keyring-HjXfHt/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-2131-rubik.elk-evolution-1_TIME390665
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2506

var_log_messages:
:Apr 16 12:24:55 rubik kernel: [13768.532498] evolution[3046]: segfault at 0 ip 0000003fbb86aeb0 sp 00007fffe305dbe8 error 4 in libcamel-provider-1.2.so.29.0.0[3fbb800000+93000]
:Apr 16 12:24:57 rubik abrt[12724]: Saved core dump of pid 3046 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-04-16-12:24:55-3046 (169283584 bytes)
:Apr 16 16:03:03 rubik kernel: [12776.854383] evolution[2506]: segfault at 80 ip 00007f3df276a3c0 sp 00007ffff835e938 error 4 in libevolution-mail.so.0.0.0[7f3df26c4000+cf000]
:Apr 16 16:03:05 rubik abrt[7481]: Saved core dump of pid 2506 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-04-16-16:03:03-2506 (212377600 bytes)

xsession_errors:
:(evolution:2506): e-data-server-ui-WARNING **: Keyring key is unusable: no user or host name
:(evolution:2506): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
:(evolution:2506): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
:(evolution:2506): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
:(evolution:2506): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
:(evolution:2506): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
:(evolution:2506): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
:(evolution:2506): e-data-server-ui-WARNING **: Keyring key is unusable: no user or host name
:(evolution:2506): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
:(evolution:2506): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
:(evolution:2506): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
:(evolution:2506): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
:(evolution:2506): e-data-server-ui-WARNING **: Keyring key is unusable: no user or host name
:(evolution:2506): evolution-module-mail-CRITICAL **: e_mail_shell_content_get_mail_view: assertion `E_IS_MAIL_SHELL_CONTENT (mail_shell_content)' failed
:(evolution:2506): evolution-mail-CRITICAL **: e_mail_reader_get_message_list: assertion `E_IS_MAIL_READER (reader)' failed
Comment 1 Tim Waugh 2012-04-16 11:04:48 EDT
Created attachment 577738 [details]
File: dso_list
Comment 2 Tim Waugh 2012-04-16 11:04:50 EDT
Created attachment 577739 [details]
File: build_ids
Comment 3 Tim Waugh 2012-04-16 11:04:53 EDT
Created attachment 577740 [details]
File: gconf_subtree
Comment 4 Tim Waugh 2012-04-16 11:04:56 EDT
Created attachment 577741 [details]
File: backtrace
Comment 5 Tim Waugh 2012-04-16 11:05:01 EDT
Created attachment 577742 [details]
File: maps
Comment 6 Milan Crha 2012-04-17 02:09:51 EDT
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=674236

Note You need to log in before you can comment on or make changes to this bug.